{
    attributes = (
        {
            columnName = "C_FONCTION"; 
            externalType = NUMBER; 
            name = cFonction; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "DT_DEB_EXERC_FONC"; 
            externalType = TIMESTAMP; 
            name = dateDebut; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "DT_FIN_EXERC_FONC"; 
            externalType = TIMESTAMP; 
            name = dateFin; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = TIMESTAMP; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = TIMESTAMP; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "IAF_ORDRE"; 
            externalType = NUMBER; 
            name = iafOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "IAF_SOURCE"; 
            externalType = NUMBER; 
            name = iafSource; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ID_SOURCE"; 
            externalType = NUMBER; 
            name = idSource; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "IND_ORDRE"; 
            externalType = NUMBER; 
            name = indOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "IAF_OPERATION"; 
            externalType = CHAR; 
            name = operation; 
            valueClassName = NSString; 
            valueType = c; 
            width = 1; 
        }, 
        {
            columnName = "IAF_STATUT"; 
            externalType = CHAR; 
            name = statut; 
            valueClassName = NSString; 
            valueType = c; 
            width = 1; 
        }, 
        {
            columnName = "IAF_IMPORT"; 
            externalType = CHAR; 
            name = temImport; 
            valueClassName = NSString; 
            valueType = c; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (iafOrdre, indOrdre); 
    className = "org.cocktail.connecteur.serveur.modele.entite_import.EOIndividuAutreFonction"; 
    classProperties = (
        cFonction, 
        dateDebut, 
        dateFin, 
        dCreation, 
        dModification, 
        iafSource, 
        idSource, 
        individu, 
        operation, 
        statut, 
        temImport
    ); 
    externalName = "IMPORT.INDIVIDU_AUTRE_FONCT"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            dateDebut, 
            dateFin, 
            dCreation, 
            dModification, 
            iafSource, 
            idSource, 
            operation, 
            statut, 
            temImport
        ); 
    }; 
    name = IndividuAutreFonction; 
    primaryKeyAttributes = (iafOrdre); 
    relationships = (
        {
            destination = Individu; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = indOrdre; sourceAttribute = indOrdre; }); 
            name = individu; 
        }
    ); 
    userInfo = {"_EntityModeler" = {parentClassName = ObjetImportPourIndividuEtPeriode; }; }; 
}
